live session user and host should be called kubuntu on kubuntu

Bug #290351 reported by Matthew Paul Thomas on 2008-10-28
56
This bug affects 11 people
Affects Status Importance Assigned to Milestone
casper (Ubuntu)
High
Stéphane Graber

Bug Description

Kubuntu 8.10 RC

1. Start up Kubuntu from the live CD.
2. Click the K button in the bottom left.

What you see: A menu entitled "User ubuntu on ubuntu".
What you should see: "kubuntu" used throughout instead of "ubuntu".

Terence Simpson (tsimpson) wrote :

It says "ubuntu" because that's the host name, same as what is displayed in a terminal.

Matthew Paul Thomas (mpt) wrote :

So the host name shouldn't be "ubuntu", then.

affects: meta-kde (Ubuntu) → casper (Ubuntu)
Harald Sitter (apachelogger) wrote :

This bug is super confusing to users!

Kubuntu, and KDE in general, is very vocal about user and host name.
The menu is but one place where one reads Ubuntu, doubtlessly the most prominent one.

To someone who has no clue about Kubuntu's association with Ubuntu etc. this seems incredibly odd and confusing.

Changed in casper (Ubuntu):
status: New → Confirmed
importance: Undecided → High
summary: - Kubuntu live CD's K menu incongrously titled "User ubuntu on ubuntu"
+ live session user and host should be called kubuntu on kubuntu

Sorry this got missed for so long, but nevertheless, we shouldn't be
changing this so close to release. It would not remotely surprise me to
find dependencies on the username in various bits of live-CD-specific
code, and we should not be doing things with a substantial risk of
creating bugs at this point.

Let's look into this for Lucid+1.

Harald Sitter (apachelogger) wrote :

Yeah, lucid+1 sounds like a good plan :)

Changed in casper (Ubuntu):
assignee: nobody → pat belshaw (phil-atio2000)
status: Confirmed → Fix Committed
Phillip Susi (psusi) wrote :

pat, you seem to be new to launchpad. Please to not modify bugs in ways that you do not understand.

Changed in casper (Ubuntu):
status: Fix Committed → Confirmed
assignee: pat belshaw (phil-atio2000) → nobody
tags: added: kubuntu
Changed in casper (Ubuntu):
status: Confirmed → Triaged
Stéphane Graber (stgraber) wrote :

I just commited a fix for that to the casper packaging branch (as well as a few other fixes).

I tested the change with Edubuntu, confirmed that the system boots, that the session properly starts and that the user has sudo access.

Diff below:
=== modified file 'scripts/casper'
--- scripts/casper 2011-12-13 00:11:22 +0000
+++ scripts/casper 2011-12-14 19:38:24 +0000
@@ -684,6 +684,16 @@

     log_end_msg

+ # Allow to override USERNAME and HOST based on media information
+ if [ -f /cdrom/.disk/info ]; then
+ FLAVOUR="$(cut -d' ' -f1 "/cdrom/.disk/info" 2>/dev/null | tr '[A-Z]' '[a-z]')" || FLAVOUR=
+ if [ -n "$FLAVOUR" ]; then
+ HOST=$FLAVOUR
+ USERNAME=$FLAVOUR
+ export HOST USERNAME
+ fi
+ fi
+
     # unionfs-fuse needs /dev to be bind-mounted for the duration of
     # casper-bottom; udev's init script will take care of things after that
     if [ "${UNIONFS}" = unionfs-fuse ]; then

Changed in casper (Ubuntu):
status: Triaged → Fix Committed
assignee: nobody → Stéphane Graber (stgraber)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package casper - 1.295

---------------
casper (1.295) precise; urgency=low

  * Convert keys from gconf to gsettings:
    - 22gnome_panel_data: disable_lock_screen (LP: #610345)
    - 15autologin: suppress-logout-menuitem (indicator)
  * Syntax cleanup in debian/casper.init (replacing tabs by spaces)
  * Base the hostname and username on the media name (LP: #290351)
  * If udisks is present and considers a device has non-removable
    then don't call eject and don't show the prompt. (LP: #600740)
 -- Stephane Graber <email address hidden> Wed, 14 Dec 2011 15:50:44 -0500

Changed in casper (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers